libnvme(9)

NAME
enum nvme_mi_cmd_supported_effects - MI Command Supported and Effects Data Structure

SYNOPSIS
enum nvme_mi_cmd_supported_effects {
NVME_MI_CMD_SUPPORTED_EFFECTS_CSUPP ,
NVME_MI_CMD_SUPPORTED_EFFECTS_UDCC ,
NVME_MI_CMD_SUPPORTED_EFFECTS_NCC ,
NVME_MI_CMD_SUPPORTED_EFFECTS_NIC ,
NVME_MI_CMD_SUPPORTED_EFFECTS_CCC ,
NVME_MI_CMD_SUPPORTED_EFFECTS_SCOPE_SHIFT ,
NVME_MI_CMD_SUPPORTED_EFFECTS_SCOPE_MASK ,
NVME_MI_CMD_SUPPORTED_EFFECTS_SCOPE_NS ,
NVME_MI_CMD_SUPPORTED_EFFECTS_SCOPE_CTRL ,
NVME_MI_CMD_SUPPORTED_EFFECTS_SCOPE_NVM_SET ,
NVME_MI_CMD_SUPPORTED_EFFECTS_SCOPE_ENDGRP ,
NVME_MI_CMD_SUPPORTED_EFFECTS_SCOPE_DOMAIN ,
NVME_MI_CMD_SUPPORTED_EFFECTS_SCOPE_NSS };

Constants

NVME_MI_CMD_SUPPORTED_EFFECTS_CSUPP
    Command Supported

NVME_MI_CMD_SUPPORTED_EFFECTS_UDCC
    User Data Content Change

NVME_MI_CMD_SUPPORTED_EFFECTS_NCC
    Namespace Capability Change

NVME_MI_CMD_SUPPORTED_EFFECTS_NIC
    Namespace Inventory Change

NVME_MI_CMD_SUPPORTED_EFFECTS_CCC
    Controller Capability Change

NVME_MI_CMD_SUPPORTED_EFFECTS_SCOPE_SHIFT
    20 bit shift

NVME_MI_CMD_SUPPORTED_EFFECTS_SCOPE_MASK
    12 bit mask - 0xfff

NVME_MI_CMD_SUPPORTED_EFFECTS_SCOPE_NS
    Namespace Scope

NVME_MI_CMD_SUPPORTED_EFFECTS_SCOPE_CTRL
    Controller Scope

NVME_MI_CMD_SUPPORTED_EFFECTS_SCOPE_NVM_SET
    NVM Set Scope

NVME_MI_CMD_SUPPORTED_EFFECTS_SCOPE_ENDGRP
    Endurance Group Scope

NVME_MI_CMD_SUPPORTED_EFFECTS_SCOPE_DOMAIN
    Domain Scope

NVME_MI_CMD_SUPPORTED_EFFECTS_SCOPE_NSS
    NVM Subsystem Scope